- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDParameterAnimatable Class Reference
[The generic FCollada parameter interface.]

An animatable value parameter. More...

`#include <FCDParameterAnimatable.h>`

Inheritance diagram for FCDParameterAnimatable:

List of all members.

## Public Member Functions
| FCDParameterAnimatable (FUParameterizable *parent)
| Constructor.
virtual | ~FCDParameterAnimatable ()
| Destructor.
virtual FUParameterizable * | GetParent ()
| Retrieves the parent object for this animatable parameter.
FCDAnimated * | GetAnimated ()
| Retrieves the animation helper for this animatable parameter.
const FCDAnimated * | GetAnimated () const
| See above.
bool | IsAnimated () const
| Retrieves whether this animatable parameter has valid animation data.
FCDParameterAnimatable & | operator= (FCDParameterAnimatable &parameter)
| Copy operator.
## Protected Member Functions
virtual FCDAnimated * | CreateAnimated ()
| Requests from the up-class that the correct FCDAnimated helper class be created for this parameter.

## Detailed Description

An animatable value parameter.

## Constructor & Destructor Documentation

FCDParameterAnimatable::FCDParameterAnimatable | ( | FUParameterizable * | parent | ) |

  | Constructor. Parameters:
  | parent | The FCollada object that owns this parameter.

## Member Function Documentation

virtual FCDAnimated* FCDParameterAnimatable::CreateAnimated | ( |  | ) | `[protected, virtual]`

| Requests from the up-class that the correct FCDAnimated helper class be created for this parameter. This should be handled by the FCDParameterAnimatableT template specializations. Returns: A newly-created FCDAnimated helper object. Reimplemented in FCDParameterAnimatableT< TYPE, QUALIFIERS >.

FCDAnimated* FCDParameterAnimatable::GetAnimated | ( |  | ) |

| Retrieves the animation helper for this animatable parameter. This animation helper will be created if non-existant. Returns: The animation helper for this parameter.

virtual FUParameterizable* FCDParameterAnimatable::GetParent | ( |  | ) | `[inline, virtual]`

| Retrieves the parent object for this animatable parameter. Returns: The parent object of the parameter.

bool FCDParameterAnimatable::IsAnimated | ( |  | ) | const

| Retrieves whether this animatable parameter has valid animation data. Returns: Whether this animatable parameter is animated.

FCDParameterAnimatable& FCDParameterAnimatable::operator= | ( | FCDParameterAnimatable & | parameter | ) |

  | Copy operator. Note: the animation is not copied, right now. Parameters:
  | parameter | The other parameter.
Returns: This parameter.

The documentation for this class was generated from the following file:

- FCDocument/FCDParameterAnimatable.h